Bug 216966 - [exp-run] Additon of RLIM_SAVED_MAX and RLIM_SAVED_CUR
Summary: [exp-run] Additon of RLIM_SAVED_MAX and RLIM_SAVED_CUR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-10 15:36 UTC by Konstantin Belousov
Modified: 2019-05-25 18:57 UTC (History)
2 users (show)

See Also:
kib: exp-run?


Attachments
Add RLIM_SAVED_MAX and RLIM_SAVED_CUR (474 bytes, patch)
2017-02-10 15:36 UTC, Konstantin Belousov
no flags Details | Diff
mail/exim: Do not include sys/file.h (569 bytes, patch)
2017-02-14 17:24 UTC, Konstantin Belousov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Belousov freebsd_committer 2017-02-10 15:36:45 UTC
Created attachment 179831 [details]
Add RLIM_SAVED_MAX and RLIM_SAVED_CUR

This is a request to exp-run the patch in PR 209729.  Exact version of the change is attached there.

We did not provided the symbols for very long time, so I suspect that some ports might grow workarounds which could be incompatible with the change.
Comment 2 Konstantin Belousov freebsd_committer 2017-02-14 17:24:00 UTC
(In reply to Antoine Brodin from comment #1)
Exim includes sys/file.h and gets what it asked for.  sys/file.h is non-standard header and has no definitions relevant to a user-mode applications, on FreeBSD.  Since exim uses DTYPE_* symbols for its own purposes, surely it clashes with the FreeBSD-internal usage.

I am not sure what is the best way to proceed.  One route is to rename newly added DTYPE_NONE define in sys/file.h, but it is IMO over-reaction to the app mis-using our headers.  Another, more correct route, is remove sys/file.h include usage from exim.  The patch is attached, it should be dropped into mail/exim/files.
Comment 3 Konstantin Belousov freebsd_committer 2017-02-14 17:24:41 UTC
Created attachment 179990 [details]
mail/exim: Do not include sys/file.h
Comment 4 Antoine Brodin freebsd_committer 2017-02-14 17:50:43 UTC
cc: exim maintainer
Comment 5 Vsevolod Stakhov freebsd_committer 2017-02-15 12:34:32 UTC
Thank you, Konstantin. I'll add this patch to the port today.
Comment 6 commit-hook freebsd_committer 2017-02-15 12:40:15 UTC
A commit references this bug:

Author: vsevolod
Date: Wed Feb 15 12:39:53 UTC 2017
New revision: 434160
URL: https://svnweb.freebsd.org/changeset/ports/434160

Log:
  - Fix build after r313495
  - Bump revision

  PR:		216966
  Submitted by:	kib

Changes:
  head/mail/exim/Makefile
  head/mail/exim/files/patch-sys-file-include